/*
 * Copyright (C) 1997-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *    - Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *    - Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials provided
 *      with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 */
/*
 *
 * Maher Khatib - Sun Jun 29 1997
 *
 */
#ifndef _SICK_LIB_MODES_H_
#define _SICK_LIB_MODES_H_

/*
 * List of sick functionnal modes
 */

#define SICK_LIB_CONFIG_MODE                            ((char)0x00)
#define SICK_LIB_CALIBRATE_MODE                         ((char)0x01)
#define SICK_LIB_REINIT_MODE                            ((char)0x02)
#define SICK_LIB_DIAGNOSTIC_MODE                        ((char)0x10)
#define SICK_LIB_CONT_CUT_MODE                          ((char)0x24)
#define SICK_LIB_ONE_CUT_MODE                           ((char)0x25)
#define SICK_LIB_38400_RATE_MODE                        ((char)0x40)
#define SICK_LIB_19200_RATE_MODE                        ((char)0x41)
#define SICK_LIB_9600_RATE_MODE                         ((char)0x42)
#define SICK_LIB_58800_RATE_MODE                        ((char)0x43)

#endif /* _SICK_LIB_MODES_H_ */
